Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki.demo
Class RegistrationRequest

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.demo.RegistrationRequest

public class RegistrationRequest
extends BaseObj

spki.demo RegistrationRequest class.

Formal definition:

     <registrar>:: <principal> ;
     <chain-cert>:: <cert> ;
     <requestor-cert>:: <cert> ;
     <nonce>:: <byte-string> ;
     <capability>:: <tag> ;
     <reg-req>:: "(" "reg-req" <registrar> <chain-cert> <requestor-cert> <nonce> <capability> ")" ;

Version:
  $Id: RegistrationRequest.java,v 1.3 2002/07/18 19:02:15 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>

Field Summary
`private static String` | `__ME` This class's full name.
`private Tag` | `capability`
`private Certificate` | `chain_cert`
`private Sexp` | `nonce`
`private Principal` | `registrar`
`private Certificate` | `requestor_cert`
`static String` | `SEXP_NAME`
`private Signature` | `signature`

Fields inherited from class spki.BaseObj
`__ME, cache_sexp, cached_sexp, DEFAULT_HASH_ALG, locked, SEXP_NAME`

Constructor Summary
`private` | `RegistrationRequest()` Default constructor.
`` | `RegistrationRequest(Principal registrar, Certificate chain_cert, Certificate requestor_cert, Sexp nonce, Tag capability)` .

Method Summary
`Tag` | `getCapability()`
`Certificate` | `getKeyChainCert()`
`Sexp` | `getNonce()`
`Principal` | `getRegistra()`
`Certificate` | `getRequestorCert()`
`Signature` | `getSignature()`
`void` | `setSignature(Signature sig)`
`SExpression` | `toSExpression()` Build an SExpression representing this object.

Methods inherited from class spki.BaseObj
`disableSExpressionCaching, enableSExpressionCaching, extractHashAlgId, getCachedSExpression, isLocked, isSListOfType, lock, providerToSPKI, setCachedSExpression, spkiToProvider, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

### SEXP_NAME

    public static final String SEXP_NAME

### registrar

    private Principal registrar

### chain_cert

    private Certificate chain_cert

### requestor_cert

    private Certificate requestor_cert

### nonce

    private Sexp nonce

### capability

    private Tag capability

### signature

    private Signature signature

Constructor Detail

### RegistrationRequest

    private RegistrationRequest()

  Default constructor.

### RegistrationRequest

    public RegistrationRequest(Principal registrar,
                               Certificate chain_cert,
                               Certificate requestor_cert,
                               Sexp nonce,
                               Tag capability)
                        throws SPKIException

  .

Method Detail

### toSExpression

    public SExpression toSExpression()
                              throws SPKIException

  Description copied from interface: SPKIObject
  Build an SExpression representing this object.
  Overrides:
    toSExpression in class BaseObj
  Tags copied from interface: SPKIObject
  Returns:
    SExpression object representing this object, or `null`.
  Throws:
    SPKIException - if something went wrong during conversion.

### getRegistra

    public Principal getRegistra()

### getKeyChainCert

    public Certificate getKeyChainCert()

### getRequestorCert

    public Certificate getRequestorCert()

### getNonce

    public Sexp getNonce()

### getCapability

    public Tag getCapability()

### getSignature

    public Signature getSignature()

### setSignature

    public void setSignature(Signature sig)
                      throws SPKIException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD